Skip to main content
GET
/
v3
/
variants
/
{id}
Get a business variant
curl --request GET \
  --url https://api.myscalev.com/v3/variants/{id} \
  --header 'Authorization: Bearer <token>'
{
  "cogs": 123,
  "price_bt": 123,
  "validity_period_unit": "day",
  "display": "<string>",
  "option1_value": "<string>",
  "image_configs": {},
  "reseller_price_bt": 123,
  "option2_value": "<string>",
  "reseller_price": 123,
  "fullname": "<string>",
  "validity_period": 123,
  "uuid": "<string>",
  "sku": "<string>",
  "digital_product_files": [
    {
      "content_type": "<string>",
      "id": 123,
      "name": "<string>",
      "size_in_bytes": 123,
      "url": "<string>"
    }
  ],
  "product_name": "<string>",
  "item_type": "physical",
  "pricing_type": "one_time",
  "self_file_urls": [
    "<string>"
  ],
  "name": "<string>",
  "id": 123,
  "unique_id": "<string>",
  "cogs_bt": 123,
  "currency": "IDR",
  "price": 123,
  "images": [
    "<string>"
  ],
  "weight": 123,
  "is_checked": true,
  "interval_count": 123,
  "last_updated_at": "2023-11-07T05:31:56Z",
  "option3_value": "<string>",
  "interval": "day",
  "metadata": {},
  "product": {
    "business": {
      "account_holder": "<string>",
      "email": "jsmith@example.com",
      "id": 123,
      "is_banned": true,
      "logo": "<string>",
      "unique_id": "<string>",
      "username": "<string>"
    },
    "description": "<string>",
    "display": "<string>",
    "id": 123,
    "is_inventory": true,
    "is_multiple": true,
    "is_product_sharing": true,
    "item_type": "physical",
    "item_type_name": "<string>",
    "name": "<string>",
    "option1_name": "<string>",
    "option2_name": "<string>",
    "option3_name": "<string>",
    "uuid": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "is_editable": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Product variant

cogs
number

Cost of Goods Sold

price_bt
number

Price before tax

validity_period_unit
enum<string>

Unit of the period

Available options:
day,
week,
month,
year
display
string

Display name for the variant

option1_value
string

Value of the first product option

image_configs
object

Objects of config for each image in the same variant

reseller_price_bt
number

Reseller price before tax

option2_value
string

Value of the second product option

reseller_price
number

Reseller price of the variant

fullname
string

Full name of the variant

validity_period
integer

Validity period for one time variants

uuid
string

Variant UUID

sku
string

Stock Keeping Unit

digital_product_files
DigitalProductFile · object[]

List of digital product files associated with the variant

product_name
string

Name of the associated product

item_type
enum<string>

Type of the product item

Available options:
physical,
digital,
course,
license,
subscription
pricing_type
enum<string>

Type of the product pricing

Available options:
one_time,
recurring
self_file_urls
string<uri>[]

List of self file URLs associated with the variant

name
string

Full name of the variant

id
integer

Variant primary key

unique_id
string

Variant unique identifier

cogs_bt
number

Cost of Goods Sold before tax

currency
enum<string>

The currency code for the subscription item price.

Available options:
IDR
price
number

Price of the variant

images
string<uri>[]

List of image URLs associated with the variant

weight
integer

Weight of the variant in grams

is_checked
boolean

Mark variant as sellable

interval_count
integer

Interval count for recurring variants

last_updated_at
string<date-time>

Timestamp when the variant was last updated

option3_value
string

Value of the third product option

interval
enum<string>

Unit of the period

Available options:
day,
week,
month,
year
metadata
object

Additional metadata associated with the variant

product
Product · object
created_at
string<date-time>

Timestamp when the variant was created

is_editable
boolean

Indicates if the variant is editable